Package org.apache.felix.http.javaxwrappers

# Class FilterRegistrationWrapper

java.lang.Object
org.apache.felix.http.javaxwrappers.FilterRegistrationWrapper

All Implemented Interfaces:
  `javax.servlet.FilterRegistration`, `javax.servlet.Registration`

public class FilterRegistrationWrapper extends Object implements javax.servlet.FilterRegistration
Filter registration wrapper

## Nested Class Summary

## Nested classes/interfaces inherited from interface javax.servlet.FilterRegistration

`javax.servlet.FilterRegistration.Dynamic`

## Constructor Summary

Constructors
Constructor
Description
`FilterRegistrationWrapper(@NotNull jakarta.servlet.FilterRegistration c)`
Create new wrapper

## Method Summary

Modifier and Type
Method
Description
`void`
`addMappingForServletNames(EnumSet<javax.servlet.DispatcherType> dispatcherTypes, boolean isMatchAfter, String... servletNames)`
`void`
`addMappingForUrlPatterns(EnumSet<javax.servlet.DispatcherType> dispatcherTypes, boolean isMatchAfter, String... urlPatterns)`
`String`
`getClassName()`
`String`
`getInitParameter(String name)`
`Map<String,String>`
`getInitParameters()`
`String`
`getName()`
`Collection<String>`
`getServletNameMappings()`
`Collection<String>`
`getUrlPatternMappings()`
`boolean`
`setInitParameter(String name, String value)`
`Set<String>`
`setInitParameters(Map<String,String> initParameters)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FilterRegistrationWrapper

public FilterRegistrationWrapper(@NotNull @NotNull jakarta.servlet.FilterRegistration c)
Create new wrapper

Parameters:
  `c` - Wrapped registration

## Method Details

### addMappingForServletNames

public void addMappingForServletNames(EnumSet<javax.servlet.DispatcherType> dispatcherTypes, boolean isMatchAfter, String... servletNames)

Specified by:
  `addMappingForServletNames` in interface `javax.servlet.FilterRegistration`

### getName

public String getName()

Specified by:
  `getName` in interface `javax.servlet.Registration`

### getClassName

public String getClassName()

Specified by:
  `getClassName` in interface `javax.servlet.Registration`

### setInitParameter

public boolean setInitParameter(String name, String value)

Specified by:
  `setInitParameter` in interface `javax.servlet.Registration`

### getServletNameMappings

public Collection<String> getServletNameMappings()

Specified by:
  `getServletNameMappings` in interface `javax.servlet.FilterRegistration`

### addMappingForUrlPatterns

public void addMappingForUrlPatterns(EnumSet<javax.servlet.DispatcherType> dispatcherTypes, boolean isMatchAfter, String... urlPatterns)

Specified by:
  `addMappingForUrlPatterns` in interface `javax.servlet.FilterRegistration`

### getInitParameter

public String getInitParameter(String name)

Specified by:
  `getInitParameter` in interface `javax.servlet.Registration`

### setInitParameters

public Set<String> setInitParameters(Map<String,String> initParameters)

Specified by:
  `setInitParameters` in interface `javax.servlet.Registration`

### getUrlPatternMappings

public Collection<String> getUrlPatternMappings()

Specified by:
  `getUrlPatternMappings` in interface `javax.servlet.FilterRegistration`

### getInitParameters

public Map<String,String> getInitParameters()

Specified by:
  `getInitParameters` in interface `javax.servlet.Registration`